/* blink_control
 * Felváltva villogtatunk két LED-et (D10 és D11). A villogás sebessége 
 * az A1 bemenetre kötött nyomógombtól függ.
 * Felengedett nyomógomb esetén 500 ms-onként váltunk.
 * Lenyomott gomb esetén 100 ms-onként váltunk.
 */
#define RED_LED   10
#define GREEN_LED 11
#define PUSH2     A1

void setup() {
  pinMode(RED_LED,OUTPUT);       // legyen kimenet
  pinMode(GREEN_LED,OUTPUT);     // legyen kimenet
  pinMode(PUSH2,INPUT_PULLUP);   // legyen bemenet, belső felhúzással
}

void loop() {
  boolean sw;
  sw = digitalRead(PUSH2);       // Belovassuk a nyomógomb állapotát
  digitalWrite(RED_LED,HIGH);    // A piros LED világít
  digitalWrite(GREEN_LED,LOW);   // A zöld LED nem világít
  if(sw == HIGH) delay(400);     // Felengedett gomb esetén HIGH állapot van
  delay(100);                    // 100 ms késleltetés mindig kell
  digitalWrite(RED_LED,LOW);     // A piros LED nem világít
  digitalWrite(GREEN_LED,HIGH);  // A zöld LED világít    
  if(sw == HIGH) delay(400);     // Felengedett gomb esetén többlet késleltetés
  delay(100);                    // 100 ms késleltetés mindig kell
} 
