/* multitasking
 * Két LED-et villogtatunk a D10 és D11 kimeneteken, 
 * különböző frekvenciával. Az időzítéseket késleltetés 
 * helyett a futó idő figyelésével oldjuk meg, a millis()
 * függvény felhasználásával.
 */
#define RED_LED 10
#define GREEN_LED 11
unsigned long nowTime, redTime, greenTime;
boolean rState=LOW, gState=LOW;
 
void setup() {
  pinMode(RED_LED,OUTPUT);
  pinMode(GREEN_LED,OUTPUT);
  nowTime = millis();
  redTime = nowTime + 1000;
  greenTime = nowTime + 5000;
}

void loop() {
  nowTime = millis();
  if(nowTime > redTime) {
    rState = !rState;
    digitalWrite(RED_LED,rState);
    redTime += 1000;
  }
  if(nowTime > greenTime) {
    gState = !gState;
    digitalWrite(GREEN_LED,gState);
    greenTime += 5000;      
  }
}
